For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGets multiple product variants
      • POSTAdds new product variants to a product
      • PATCHUpdates multiple product variants
      • POSTCreate a new Channel Metadata Entry for a given Variant
      • GET Gets Product by Id
      • DELDeletes Bundle and removes associations to related products
      • PATCHUpdate a single product with Json Merge Patch functionality
      • GET Gets Taxonomy by Id
      • GETRetrieves List of Products based on filters provided
      • POSTCreate single product to the store
      • GET Gets Taxonomy
      • POSTUsed to merge two or more variants together
      • PUTUpdate specific channel metadata record from a variant by channel metadata ID
      • DELUsed to delete a specific channel metadata record from a variant by channel metadata ID
      • POSTMigrates variants to existing product
      • GET Gets Taxonomy Parent
      • POSTMigrates existing variants to a new product
      • GETGets Packaging Requirement
      • POSTAdd new product variants to a product
LogoLogo
API ReferenceProducts

Updates multiple product variants

||View as Markdown|
PATCH
https://sandbox-api.shipbob.com/Experimental/product/:productId/variants
PATCH
/Experimental/product/:productId/variants
$curl -X PATCH https://sandbox-api.shipbob.com/Experimental/product/1/variants \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "additional_hazmat_attributes": {
> "charge_state_percentage": 0.1,
> "container_metal": true,
> "lithium_battery_packaging": "string",
> "lithium_battery_type": "string",
> "magnet": true,
> "net_volume": 0.1,
> "net_weight": 0.1
> },
> "barcodes": [
> {
> "sticker_url": "string",
> "value": "string"
> }
> ],
> "bundle_definition": [
> {
> "quantity": 0,
> "variant_id": 0
> }
> ],
> "channel_metadata": [
> {
> "asin": "string",
> "fnsku": "string",
> "fulfillment_channel": "string",
> "channel_id": 0,
> "channel_name": "string",
> "currency": "string",
> "id": 0,
> "is_inventory_sync_enabled": true,
> "legacy_product_id": 0,
> "platform": "string",
> "platform_identifier": "string",
> "platform_inventory_item_id": "string",
> "price": 0.1,
> "seller_sku": "string"
> }
> ],
> "customs": {
> "country_code_of_origin": "string",
> "currency": "string",
> "description": "string",
> "hs_tariff_code": "string",
> "is321_eligible": true,
> "value": 0
> },
> "dimension": {
> "height": 0.1,
> "length": 0.1,
> "width": 0.1
> },
> "fulfillment_settings": {
> "dangerous_goods": true,
> "is_bpm_parcel": true,
> "is_case_pick": true,
> "msds_url": "string",
> "requires_prop65": true,
> "serial_scan": {
> "exact_character_length": 0,
> "is_enabled": true,
> "prefix": "string",
> "suffix": "string"
> }
> },
> "gtin": "string",
> "id": 0,
> "is_digital": true,
> "lot_information": {
> "is_lot": true,
> "minimum_shelf_life_days": 0
> },
> "name": "string",
> "packaging_material_type_id": 0,
> "packaging_requirement_id": 0,
> "return_preferences": {
> "backup_action_id": 0,
> "instructions": "string",
> "primary_action_id": 0,
> "return_to_sender_backup_action_id": 0,
> "return_to_sender_primary_action_id": 0
> },
> "reviews_pending": [
> 0
> ],
> "sku": "string",
> "status": 1,
> "upc": "string",
> "weight": 0.1
>}'
200default
1[
2 {
3 "additional_hazmat_attributes": {
4 "charge_state_percentage": 0.1,
5 "container_metal": true,
6 "lithium_battery_packaging": "string",
7 "lithium_battery_type": "string",
8 "magnet": true,
9 "net_volume": 0.1,
10 "net_weight": 0.1
11 },
12 "associated_bundles": [
13 {
14 "product_id": 0,
15 "product_name": "string",
16 "quantity": 0,
17 "variant_id": 0,
18 "variant_sku": "string"
19 }
20 ],
21 "barcodes": [
22 {
23 "sticker_url": "string",
24 "value": "string"
25 }
26 ],
27 "bundle_definition": [
28 {
29 "product_id": 0,
30 "quantity": 0,
31 "variant_id": 0,
32 "variant_name": "string",
33 "variant_sku": "string"
34 }
35 ],
36 "channel_metadata": [
37 {
38 "channel_id": 0,
39 "channel_name": "string",
40 "currency": "string",
41 "id": 0,
42 "is_inventory_sync_enabled": true,
43 "legacy_product_id": 0,
44 "platform": "string",
45 "platform_identifier": "string",
46 "platform_inventory_item_id": "string",
47 "price": 0.1,
48 "seller_sku": "string"
49 }
50 ],
51 "created_on": "2019-08-24T14:15:22+00:00",
52 "customs": {
53 "country_code_of_origin": "string",
54 "currency": "string",
55 "description": "string",
56 "hs_tariff_code": "string",
57 "is321_eligible": true,
58 "value": 0
59 },
60 "dimension": {
61 "height": 0.1,
62 "is_locked": true,
63 "length": 0.1,
64 "source": "string",
65 "unit": "string",
66 "width": 0.1
67 },
68 "fulfillment_settings": {
69 "dangerous_goods": true,
70 "is_bpm_parcel": true,
71 "is_case_pick": true,
72 "msds_url": "string",
73 "requires_prop65": true,
74 "serial_scan": {
75 "exact_character_length": 0,
76 "is_enabled": true,
77 "prefix": "string",
78 "suffix": "string"
79 }
80 },
81 "gtin": "string",
82 "id": 0,
83 "inventory": {
84 "inventory_id": 0,
85 "on_hand_qty": 0
86 },
87 "is_digital": true,
88 "is_image_uploaded": true,
89 "lot_information": {
90 "is_lot": true,
91 "minimum_shelf_life_days": 0
92 },
93 "merge_children": [
94 {
95 "channel_ids": [
96 0
97 ],
98 "completed_at": "2019-08-24T14:15:22+00:00",
99 "inventory_id": 0,
100 "variant_id": 0,
101 "variant_name": "string"
102 }
103 ],
104 "name": "string",
105 "packaging_material_type": {
106 "id": 0,
107 "name": "string"
108 },
109 "packaging_requirement": {
110 "id": 0,
111 "name": "string"
112 },
113 "return_preferences": {
114 "backup_action": {
115 "id": 0,
116 "name": "string"
117 },
118 "instructions": "string",
119 "primary_action": {
120 "id": 0,
121 "name": "string"
122 },
123 "return_to_sender_backup_action": {
124 "id": 0,
125 "name": "string"
126 },
127 "return_to_sender_primary_action": {
128 "id": 0,
129 "name": "string"
130 }
131 },
132 "reviews_pending": [
133 "string"
134 ],
135 "sku": "string",
136 "status": "string",
137 "upc": "string",
138 "updated_on": "2019-08-24T14:15:22+00:00",
139 "weight": {
140 "unit": "string",
141 "weight": 0.1
142 }
143 }
144]
Was this page helpful?
Previous

Adds new product variants to a product

Next

Create a new Channel Metadata Entry for a given Variant

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

productIdlongRequired

Request

additional_hazmat_attributesobjectOptional
barcodeslist of objectsOptional
bundle_definitionlist of objectsOptional
channel_metadatalist of objectsOptional
customsobjectOptional
dimensionobjectOptional
fulfillment_settingsobjectOptional
gtinstringOptional
idlongOptional
is_digitalbooleanOptional
lot_informationobjectOptional
namestringOptional
packaging_material_type_idintegerOptional
packaging_requirement_idintegerOptional
return_preferencesobjectOptional
reviews_pendinglist of enumsOptional
Allowed values:
skustringOptional
statusenumOptional
Allowed values:
upcstringOptional
weightdoubleOptional

Response

Success
additional_hazmat_attributesobject
associated_bundleslist of objects
barcodeslist of objects
bundle_definitionlist of objects
channel_metadatalist of objects
created_ondatetime
customsobject
dimensionobject
fulfillment_settingsobject
gtinstring
idlong
inventoryobject
is_digitalboolean
is_image_uploadedboolean
lot_informationobject
merge_childrenlist of objects
namestring
packaging_material_typeobject
packaging_requirementobject
return_preferencesobject
reviews_pendinglist of strings
skustring
statusstring
upcstring
updated_ondatetime
weightobject